/* -*- indent-tabs-mode: nil; js-indent-level: 2 -*- */
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

const {classes: Cc, interfaces: Ci, utils: Cu} = Components;

Cu.import("resource://gre/modules/Preferences.jsm");
Cu.import("resource://gre/modules/Services.jsm");

const PREF_ASYNC_DRAWING_ENABLED = "dom.ipc.plugins.asyncdrawing.enabled";

function install() {
}

function uninstall() {
}

function startup() {
  let defaults = new Preferences({defaultBranch: true})
  if (Services.appinfo.XPCOMABI.match(/x86_64/) && Services.appinfo.OS == "WINNT") {
    defaults.set(PREF_ASYNC_DRAWING_ENABLED, true);
  } else {
    defaults.set(PREF_ASYNC_DRAWING_ENABLED, false);
  }
}

function shutdown(data, reason) {
}
